Fork me on GitHub"

# skbio.util.assert_ordination_results_equal

`skbio.util.``assert_ordination_results_equal`(left, right, ignore_method_names=False, ignore_axis_labels=False, ignore_directionality=False, decimal=7)

  Assert that ordination results objects are equal.

  State: Experimental as of 0.4.0.

  This is a helper function intended to be used in unit tests that need to compare `OrdinationResults` objects.

  Parameters:

  left, right : OrdinationResults

  > Ordination results to be compared for equality.

  ignore_method_names : bool, optional

  > Ignore differences in short_method_name and long_method_name.

  ignore_axis_labels : bool, optional

  > Ignore differences in axis labels (i.e., column labels).

  ignore_directionality : bool, optional

  > Ignore differences in directionality (i.e., differences in signs) for attributes samples, features and biplot_scores.

  Raises:

  AssertionError

  > If the two objects are not equal.